Bug 1573634 - Review Request: python-img2pdf - a lossless images -> PDF converter
Summary: Review Request: python-img2pdf - a lossless images -> PDF converter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 20:01 UTC by Georg Sauthoff
Modified: 2018-08-14 21:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-11 12:26:07 UTC
Type: Bug
williamjmorenor: fedora-review+


Attachments (Terms of Use)

Description Georg Sauthoff 2018-05-01 20:01:44 UTC
So I've created a .spec file for the fine img2pdf Python package:

https://github.com/gsauthof/copr-fedora/blob/master/python3-img2pdf/python3-img2pdf.spec

Corresponding build in my COPR:
https://copr.fedorainfracloud.org/coprs/gsauthof/fedora/package/python3-img2pdf/

It would be great to have this package integrated into Fedora, thus, I'm looking for a reviewer.

Comment 1 Robert-André Mauchin 🐧 2018-05-02 18:09:52 UTC
You'll also need a sponsor, see https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join

Your package needs (small) rework, namely your man package should be named python-img2pdf and then you create a Python 3 subpackage.

Comment 2 Georg Sauthoff 2018-05-02 21:52:08 UTC
Ok, I renamed the package and added a subpackage:

https://github.com/gsauthof/copr-fedora/blob/master/python-img2pdf/python-img2pdf.spec

Comment 3 Robert-André Mauchin 🐧 2018-05-12 16:56:20 UTC
 - License seems wrong, according to setup.py, it is licensed as GNU Lesser General Public License v3

License:	LGPLv3

 - Remove the shebangs from img2pdf.py and jp2.py

python3-img2pdf.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/img2pdf.py /usr/bin/env python3
python3-img2pdf.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/img2pdf.py 644 /usr/bin/env python3
python3-img2pdf.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/jp2.py /usr/bin/env python
python3-img2pdf.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/jp2.py 644 /usr/bin/env python

   See https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries

 - Use either spaces or tabs, not both:

python-img2pdf.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v3 or later)", "Unknown or generated". 28 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-img2pdf/review-python-
     img2pdf/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-img2pdf-0.2.4-1.fc29.noarch.rpm
          python-img2pdf-0.2.4-1.fc29.src.rpm
python3-img2pdf.noarch: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python3-img2pdf.noarch: W: spelling-error %description -l en_US losslessly -> colorlessly, bloodlessly, sleeplessly
python3-img2pdf.noarch: W: spelling-error %description -l en_US recompressed -> decompressed, re compressed, re-compressed
python3-img2pdf.noarch: W: spelling-error %description -l en_US pdfimages -> pilgrimages
python3-img2pdf.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/img2pdf.py /usr/bin/env python3
python3-img2pdf.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/img2pdf.py 644 /usr/bin/env python3
python3-img2pdf.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/jp2.py /usr/bin/env python
python3-img2pdf.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/jp2.py 644 /usr/bin/env python
python3-img2pdf.noarch: W: no-manual-page-for-binary img2pdf
python-img2pdf.src: W: spelling-error Summary(en_US) Lossless -> Loss less, Loss-less, Loveless
python-img2pdf.src: W: spelling-error %description -l en_US losslessly -> colorlessly, bloodlessly, sleeplessly
python-img2pdf.src: W: spelling-error %description -l en_US recompressed -> decompressed, re compressed, re-compressed
python-img2pdf.src: W: spelling-error %description -l en_US pdfimages -> pilgrimages
python-img2pdf.src:10: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
2 packages and 0 specfiles checked; 4 errors, 10 warnings.

Comment 4 Georg Sauthoff 2018-05-12 18:28:16 UTC
Ok, I fixed the license tag, fixed the spaces in the .spec file and removed the shebang line from the library files.

New copr build:

https://copr.fedorainfracloud.org/coprs/gsauthof/fedora/build/753184/

Comment 5 Robert-André Mauchin 🐧 2018-05-12 20:50:13 UTC
Package approved.

Comment 6 William Moreno 2018-07-04 16:55:16 UTC
I do not see gsauthof in the packager group, did you sponsor him to be a packager?

Comment 7 Robert-André Mauchin 🐧 2018-07-04 20:40:27 UTC
No I can't sponsor.

Comment 8 William Moreno 2018-07-05 20:46:05 UTC
OK

Please see: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

I will trust your review and include Georg in the packager group in FAS, it is great to help new packagers to join the distribution, if you have another new packager needing a sponsor please ping me.

@Georg please respond this message to confirm that you want to continue to join the Fedora Packager team with a link to the last version of your spec file.

Comment 9 Georg Sauthoff 2018-07-06 16:21:02 UTC
(In reply to William Moreno from comment #8)

> @Georg please respond this message to confirm that you want to continue to
> join the Fedora Packager team with a link to the last version of your spec
> file.

I confirm, I'm still interested. This is the link to the current .spec file:

https://github.com/gsauthof/copr-fedora/blob/master/python-img2pdf/python-img2pdf.spec

Thank you for following up on this.

Comment 10 William Moreno 2018-07-07 17:18:34 UTC
OK

I am fine with this packaging, upstream is using LGPV3 but not including the text of the licence with the sources, ping upstream to provide a proper license file.

There no python2 subpackage but this is not a great deal.

PACKAGE APROVED
===============

You have been sponder in the Fedora Packager Group

Regards.

Algo good job Robet with the review.

Comment 11 Georg Sauthoff 2018-07-09 19:35:39 UTC
Ok, I've just commented in an existing issue (about the missing license file) in the upstream bug tracker. The author considers adding a license file for the next release.

The missing license file isn't a blocker for going forward with the current version, right?

Comment 12 Robert-André Mauchin 🐧 2018-07-09 19:54:14 UTC
It is not, the package is approved and William sponsored you: you can already continue with importing the package in dist-git and build it in Koji.

If you have any question, just ask.

Comment 14 William Moreno 2018-07-10 14:54:52 UTC
(In reply to Georg Sauthoff from comment #11)
> Ok, I've just commented in an existing issue (about the missing license
> file) in the upstream bug tracker. The author considers adding a license
> file for the next release.
> 
> The missing license file isn't a blocker for going forward with the current
> version, right?

Upstream uses proper License headers in the source code (this mean there is a note in the top of all .py files with a note about the LGPLv3 License), so it is clear the License of the source code and do not block this.

But LGPLv3 requires that you must include a copy of the text of the license with the source code you are releasing, more info about that here:

https://www.gnu.org/licenses/gpl-howto.html

Comment 15 Georg Sauthoff 2018-07-14 19:03:43 UTC
So I requested an rpm repo for python-img2pdf - but a commenter thinks that the package isn't approved, yet. I replied to it yesterday and referenced the 5th comment here (that includes the approval AFAICS) - but as of now the request is still open:

https://pagure.io/releng/fedora-scm-requests/issue/7365

Comment 16 Jason Tibbitts 2018-07-14 19:14:05 UTC
If you read closely what's in that ticket, you'll see that the person to whom the ticket is assigned is not the person who set the fedora-review flag.

So please fix that up and then the request should process.

Comment 17 Gwyn Ciesla 2018-07-17 15:02:11 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-img2pdf

Comment 18 Fedora Update System 2018-07-27 19:04:53 UTC
python-img2pdf-0.2.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-504b62ac1e

Comment 19 Fedora Update System 2018-07-29 00:52:23 UTC
python-img2pdf-0.2.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-504b62ac1e

Comment 20 Fedora Update System 2018-07-29 13:35:49 UTC
python-img2pdf-0.2.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f55502ec14

Comment 21 Fedora Update System 2018-07-30 01:27:06 UTC
python-img2pdf-0.2.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f55502ec14

Comment 22 Fedora Update System 2018-08-14 20:16:31 UTC
python-img2pdf-0.2.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-08-14 21:07:20 UTC
python-img2pdf-0.2.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.